# -*- coding: utf-8 -*-
#
# Author: Ingelrest François (Athropos@gmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

import os.path

from gettext import gettext as _


appVersion   = '0.04'
appName      = 'Decibel Audio Player'
appNameShort = 'decibel-audio-player'
prefsVersion = 1

urlMain = 'http://decibel.silent-blade.org'
urlHelp = 'http://decibel.silent-blade.org/index.php?n=Main.Help'

dirUsr = os.path.expanduser('~')
dirSrc = os.path.join(os.path.dirname(__file__))
dirRes = os.path.join(dirSrc, '..', '..', 'res')
dirDoc = os.path.join(dirSrc, '..', '..', 'doc')
dirCfg = os.path.join(dirUsr, '.' + appNameShort)
dirPix = os.path.join(dirSrc, '..', '..', 'pix')

dirLocale = os.path.join(dirSrc, '..', '..', 'locale')
if not os.path.isdir(dirLocale) :
    dirLocale = os.path.join(dirSrc, '..', '..', '..', 'locale')


filePrefs    = os.path.join(dirCfg, 'prefs.txt')
fileLicense  = os.path.join(dirDoc, 'LICENCE')
fileImgIcon  = os.path.join(dirPix, 'decibel-audio-player-16.png')
fileImgAbout = os.path.join(dirPix, 'decibel-audio-player-128.png')


# Some constants for track fields
UNKNOWN_TITLE       = _('No title')
UNKNOWN_ALBUM       = _('No album')
UNKNOWN_ARTIST      = _('No artist')
UNKNOWN_LENGTH      = 0
UNKNOWN_TRACKNUMBER = 0


# Create the configuration directory if needed
if not os.path.isdir(dirCfg) :
    os.mkdir(dirCfg)
